View Issue Details

IDProjectCategoryView StatusLast Update
0005264Talerdocumentationpublic2018-04-15 20:35
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005264: update tutorials and backend operator manual to new APIs
DescriptionThe API documentation is now finished: https://docs.taler.net/api/api-merchant.html

The other documentation should be updated too.

Just as a reminder, the API was changed to be simpler, closer to other payment APIs and to accommodate platforms that don't allow WebExtension-style browser integration.
TagsNo tags attached.

Activities

Florian Dold

2018-01-29 19:24

manager   ~0012827

Marcello, please let me know if anything about the new API or the API docs is unclear.

Florian Dold

2018-01-29 19:25

manager   ~0012828

Also have a look at the updated frontends, all of them use the new APIs (except perhaps the backoffice).

Christian Grothoff

2018-01-30 08:14

manager   ~0012836

Florian, as you changed the API, it might be _much_ faster if you could look over the tutorials as well. Not to mention they just generally might benefit from an extra pair of eyes.

Florian Dold

2018-03-12 14:00

manager   ~0012887

Fixed in 5bd3b0cbd9074 and some previous commits.

Issue History

Date Modified Username Field Change
2018-01-29 19:24 Florian Dold New Issue
2018-01-29 19:24 Florian Dold Status new => assigned
2018-01-29 19:24 Florian Dold Assigned To => Marcello Stanisci
2018-01-29 19:24 Florian Dold Note Added: 0012827
2018-01-29 19:25 Florian Dold Note Added: 0012828
2018-01-30 08:14 Christian Grothoff Note Added: 0012836
2018-01-30 08:14 Christian Grothoff Assigned To Marcello Stanisci => Florian Dold
2018-01-30 08:14 Christian Grothoff Severity minor => text
2018-03-12 14:00 Florian Dold Status assigned => resolved
2018-03-12 14:00 Florian Dold Resolution open => fixed
2018-03-12 14:00 Florian Dold Note Added: 0012887
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:35 Christian Grothoff Status resolved => closed